unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, TeEngine, Series, StdCtrls, ExtCtrls, TeeProcs, Chart;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Chart2: TChart;
    Button1: TButton;
    Series1: TBarSeries;
    Series2: TBarSeries;
    Button2: TButton;
    Edit1: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Chart2GetAxisLabel(Sender: TChartAxis; Series: TChartSeries;
      ValueIndex: Integer; var LabelText: String);
    procedure Series2GetMarkText(Sender: TChartSeries; ValueIndex: Integer;
      var MarkText: String);
    procedure Chart2MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
  private
    { Private declarations }
    AValueIndex : Integer;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Series1.Marks.Style := smsLabelValue;
  Series1.Clear;
  Series1.AddBar(326,'Test1',clTeeColor);
  Series1.AddBar(354,'Test2',clTeeColor);
  Series1.AddBar(240,'Test3',clTeeColor);
  Series1.AddBar(259,'Test4',clTeeColor);
  Series1.AddBar(333,'Test5',clTeeColor);
  Series1.AddBar(234,'Test6',clTeeColor);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Series2.Marks.Style := smsLegend;
  Series2.Clear;
  Series2.AddBar(326,'1',clTeeColor);
  Series2.AddBar(354,'2',clTeeColor);
  Series2.AddBar(240,'3',clTeeColor);
  Series2.AddBar(259,'4',clTeeColor);
  Series2.AddBar(333,'5',clTeeColor);
  Series2.AddBar(234,'6',clTeeColor);
end;

procedure TForm1.Chart2GetAxisLabel(Sender: TChartAxis;
  Series: TChartSeries; ValueIndex: Integer; var LabelText: String);
begin
  if ((Sender = Chart2.BottomAxis) and (ValueIndex = AValueIndex)) then
    begin
      LabelText := 'Test' + LabelText;
    end;
end;

procedure TForm1.Series2GetMarkText(Sender: TChartSeries;
  ValueIndex: Integer; var MarkText: String);
begin
  if ValueIndex = AValueIndex then
    MarkText := 'Test' + FormatFloat('0',TBarSeries(Sender).XValues.Value[ValueIndex]) + '-' + FormatFloat('#,##0.00',TBarSeries(Sender).YValues.Value[ValueIndex]);
end;

procedure TForm1.Chart2MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
    I,J : Integer;
    TmpSeies : TChartSeries;
begin
    FOR I := 0 TO TChart(Sender).SeriesList.Count - 1 DO
        BEGIN
            TmpSeies := TChart(Sender).SeriesList.Series[I];
            AValueIndex := TmpSeies.GetCursorValueIndex;
            Edit1.Text := IntToStr(AValueIndex);
            IF AValueIndex > -1 THEN
                BEGIN
                    FOR J := 0 TO TChart(Sender).SeriesList.Count - 1 DO
                        BEGIN
                            TRY
                                Chart2.Repaint;
                            EXCEPT
                            END;
                        END;
                    TChart(Sender).Hint := FloatToStr(TmpSeies.YValue[AValueIndex]);
                    TChart(Sender).ShowHint := True;
                    EXIT;
                END
            ELSE
                BEGIN
                    TChart(Sender).ShowHint := False;
                    TChart(Sender).Hint := '';
                END;
        END;
end;

end.
